[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'oldlinux' (#rtl)

# fdClose

Close file descriptor

## Declaration

Source position: oldlinux.pp line 1383

`function fdClose(`
`fd: LongInt`
`):Boolean;`

## Description

fdClose closes a file with file descriptor Fd. The function returns True if the file was closed successfully, False otherwise.

For an example, see fdOpen.

## Errors

Errors are returned in LinuxError.

## See also

fdOpen |  | Open file and return file descriptor
fdRead |  | Read data from file descriptor
fdWrite |  | Write data to file descriptor
fdTruncate |  | Truncate file on certain size.
fdFlush |  | Flush kernel file buffer
fdSeek |  | Set file pointer position.

Documentation generated on: Feb 26 2014